Name: slac-console
Version: 1.6
Release: 17
Source: slac-console.tar.gz
Summary:  Remote serial console package
License: GPL
# Vendor:
Packager: Andras.Horvath@cern.ch
Group: CERN/Cluster Management
BuildRoot: /var/tmp/%{name}-buildroot
BuildRequires: krb5-devel openssl-devel

%description
A well-scaling remote serial console package developed at SLAC and co-maintained at CERN.

%package server
Summary: Server package for serial consoles, to be run on mgmt node
Group: CERN/Cluster Management
%description server
A well-scaling remote serial console package, server side.

%package client
Summary: Client package for serial consoles, to be run on user's PC or mgmt node
Group: CERN/Cluster Management
%description client
A well-scaling remote serial console package, client side.

%package heartbeat
Summary: Heartbeat package for serial consoles, to be run client machines
Group: CERN/Cluster Management
%description heartbeat
A well-scaling remote serial console package - this package provides a
'heartbeat' through the serial console.

%prep
%setup -n console

%build
%configure --with-all-baudrates
mkdir -p build
make -j2


%install
rm -rf $RPM_BUILD_ROOT
#make install ROOTDIR=$RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
mkdir -p ${RPM_BUILD_ROOT}/usr/share/man/man1
cp ${RPM_BUILD_DIR}/console/bin/consoled ${RPM_BUILD_ROOT}/usr/bin/
cp ${RPM_BUILD_DIR}/console/bin/console ${RPM_BUILD_ROOT}/usr/bin/
cp ${RPM_BUILD_DIR}/console/beat ${RPM_BUILD_ROOT}/usr/bin/
cp ${RPM_BUILD_DIR}/console/consoled.1 ${RPM_BUILD_ROOT}/usr/share/man/man1/
cp ${RPM_BUILD_DIR}/console/console.1 ${RPM_BUILD_ROOT}/usr/share/man/man1/
cp ${RPM_BUILD_DIR}/console/install/slac-console-server ${RPM_BUILD_ROOT}/etc/init.d/
cp ${RPM_BUILD_DIR}/console/install/slac-console-heartbeat ${RPM_BUILD_ROOT}/etc/init.d/
# XXX FIXME default config
touch ${RPM_BUILD_ROOT}/etc/consoled.conf
mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d/
mkdir -p ${RPM_BUILD_ROOT}/var/log/console/oldlogs
install -m 644 ${RPM_BUILD_DIR}/console/install/logrotate ${RPM_BUILD_ROOT}/etc/logrotate.d/consoled

%files server
%defattr (-,root,root)
/usr/bin/consoled
%doc /usr/share/man/man1/consoled.1.gz
%config /etc/consoled.conf
%config /etc/logrotate.d/consoled
%dir /var/log/console/oldlogs
%config %attr(755,root,root) /etc/init.d/slac-console-server

%files client
%defattr (-,root,root)
/usr/bin/console
%doc /usr/share/man/man1/console.1.gz

%files heartbeat
%defattr (-,root,root)
/usr/bin/beat
%config %attr(755,root,root) /etc/init.d/slac-console-heartbeat

%post server
# "migration" of old logs (so that we can continue logging 
chown -R uucp: /var/log/console
chkconfig --add slac-console-server
service slac-console-server start

%preun server
chkconfig --del slac-console-server

%post heartbeat
chkconfig --add slac-console-heartbeat
service slac-console-heartbeat start

%preun heartbeat
chkconfig --del slac-console-heartbeat

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 31 2007 Andras Horvath <Andras.Horvath@cern.ch>  1.6-16
- only run 'beat' on serial consoles, or it messes up the VGA console
- compiled with B115200 support

* Tue Nov 21 2006 Andras Horvath <Andras.Horvath@cern.ch>  1.6-12
- PARMRK removed

* Tue Nov 21 2006 Andras Horvath <Andras.Horvath@cern.ch>  1.6-11
- package for -heartbeat
- server and heartbeat are now started after installation

* Tue Nov 14 2006 Andras Horvath <Andras.Horvath@cern.ch>  1.6-10
- init script copies SINDES cert in place
- localhost is not krb5-authenticated - we can even run without a keytab

* Thu Jul 06 2006 Andras Horvath <Andras.Horvath@cern.ch>  1.6-7
- ACL for shutdown 

* Thu Jul 06 2006 Andras Horvath <Andras.Horvath@cern.ch>  1.6-5
- man pages for console and consoled
- SSL support and X.509 authentication support on both ends (RPM built without SSL)
- idle_timeout parameter in config, also settable from client (console) per line
- minor bug fixes
- in sync with SLAC version and hosted at SLAC
- run as arbitrary user (-runas)

* Tue May  9 2006 Andras Horvath <Andras.Horvath@cern.ch>  1.18
- logging: log full dates, not only time 
- run as non-root (uucp uid/gid by default)

* Tue Feb 28 2006 Andras Horvath <Andras.Horvath@cern.ch>
- fixed bad File::Read() condition which resulted in 100% cpu usage sometimes

* Mon Feb 13 2006 Andras Horvath <Andras.Horvath@cern.ch>
- make logrotate less verbose (suppress stdout)

* Tue Jan 17 2006 Andras Horvath <Andras.Horvath@cern.ch>
- source 're-incorporation' into CVS (rather, cleanup of old CVS)
- minor directory structure changes; .spec file changes accordingly

* Thu Jan 12 2006 Andras Horvath <Andras.Horvath@cern.ch>
- "no arguments to console command -> high load" bug fixed, ccarg.patch 
  (something nasty probably still lurks in consoled)
- cleaned up init script: now with 'reload' and 'status' options and
  "redhatish" status messages
- speed '115200' now selectable via ^Ecp
* Mon Nov 21 2005 Andras Horvath <Andras.Horvath@cern.ch>
- started writing changelog. Incorporated 64-bit.patch by A.Hirstius to enable
  longer timeout and fix bugs on ia64.
- removed DOS linefeeds (!!!)
- some forward porting to gcc3... clean compilation on SLC3 and SLC4, 32 and 64bit

